Search products
curl --request GET \
--url https://app.reechee.io/api/v1/productsimport requests
url = "https://app.reechee.io/api/v1/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.reechee.io/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Slack",
"by": "Slack",
"logo_url": "<string>",
"description": "<string>",
"categories": [
"<string>"
],
"pain_points_report_status": "<string>",
"pain_points_report_generated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"pagination": {
"page": 1,
"page_size": 20,
"has_more": true
}
}
}{
"success": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded",
"details": {
"retry_after_seconds": 12,
"limit": 60,
"remaining": 0
}
}
}Endpoints
Search products
Resolve a product name to a product (and its id) so other tools can act on
it. With no query, returns the most-reviewed products. No key required.
GET
/
products
Search products
Query Parameters
Case-insensitive substring match on the product name.
Example:
"zendesk"
1-indexed page number.
Required range:
x >= 1Items per page (max 100).
Required range:
1 <= x <= 100⌘I